Bug 2050370 - alert data for burn budget needs to be updated to prevent regression
Summary: alert data for burn budget needs to be updated to prevent regression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.10
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.10.0
Assignee: David Eads
QA Contact: jmekkatt
URL:
Whiteboard:
Depends On: 2050345
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-03 19:50 UTC by OpenShift BugZilla Robot
Modified: 2022-03-10 16:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-10 16:43:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26816 0 None open [release-4.10] bug 2050370: update p99 values for disruption and alerts 2022-02-03 19:51:05 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:43:45 UTC

Description OpenShift BugZilla Robot 2022-02-03 19:50:53 UTC
+++ This bug was initially created as a clone of Bug #2050345 +++

We hardcode p99 values for alert-seconds .  burn budget was recently fixed, so we need to update the values for 4.10 to prevent regressions in z-streams.

--- Additional comment from deads@redhat.com on 2022-02-03 18:11:18 UTC ---

https://github.com/openshift/origin/pull/26815 fixes this

Comment 4 jmekkatt 2022-02-07 10:13:32 UTC
[jmekkatt@jmekkatt origin]$ oc adm release info --commits registry.ci.openshift.org/ocp/release:4.10.0-0.nightly-2022-02-04-094135 --registry-config="/home/jmekkatt/docker/config.json" | grep origin
  tests                                          https://github.com/openshift/origin                                         e5fe8a8b51013001d67d327912d598d3f56ac961

[jmekkatt@jmekkatt origin]$ git log | grep -A20 e5fe8a8b51013001d67d327912d598d3f56ac961
commit e5fe8a8b51013001d67d327912d598d3f56ac961
Merge: 6aa323b32c 2fa667d7cc
Author: OpenShift Merge Robot <openshift-merge-robot@users.noreply.github.com>
Date:   Fri Feb 4 00:15:37 2022 -0500

    Merge pull request #26816 from openshift-cherrypick-robot/cherry-pick-26815-to-release-4.10
    
    [release-4.10] bug 2050370: update p99 values for disruption and alerts

commit 2fa667d7cc32ec20f0ceb83b3db225fbb460f6b1
Author: David Eads <deads@redhat.com>
Date:   Thu Feb 3 12:32:25 2022 -0500

    tweak the magic numbers for 'no data' to be easier to find

commit f171cba2777d03fc6152a5c5bfe7d2464892cddf
Author: David Eads <deads@redhat.com>
Date:   Thu Feb 3 12:24:15 2022 -0500

    update p99 values for disruption and alerts


Above information (i.e. from the branch - origin/release-4.10)  confirms that the fix has merged and landed in 4.10.0-0.nightly-2022-02-04-094135 . Hence moved bug to verified.

Comment 6 errata-xmlrpc 2022-03-10 16:43:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.